.ThankYouPage {
    &__success-info {
        margin-bottom: 50px;
        text-align: center;
    }

    &__order-details {
        display: grid;
        gap: 30px;
        grid-template-columns: 1fr;
        margin-bottom: 50px;

        @include query(md) {
            gap: 50px;
            grid-template-columns: repeat(4, 1fr);
        }

        > div {
            > p {
                margin-bottom: 15px;
                text-transform: uppercase;
            }

            > strong {
                display: block;
            }
        }
    }

    &__details {
        h2 {
            margin-bottom: 30px;
        }
    }

    &__details-table {
        width: 100%;

        thead {
            display: none;
        }

        tbody {
            tr {
                border-bottom: 1px solid theme('colors.grayBorder');

                td {
                    float: left;
                    width: 100%;

                    &.product-name div {
                        align-items: flex-start;
                        display: flex;
                        flex-direction: column;

                        img {
                            margin-bottom: 15px;
                            max-width: 150px;
                        }

                        @include query(md) {
                            align-items: center;
                            flex-direction: row;

                            img {
                                margin-bottom: 0;
                                margin-right: 15px;
                            }
                        }
                    }

                    &:first-of-type {
                        padding-top: 20px;
                    }

                    &:last-of-type {
                        padding-bottom: 20px;
                    }

                    @include query(md) {
                        float: none;
                        padding: 20px;
                        width: auto;

                        &:first-of-type {
                            padding-top: 20px;
                        }

                        &:last-of-type {
                            padding-bottom: 20px;
                        }
                    }
                }
            }
        }
    }

    &__details-table-tfoot {
        margin-top: 30px;

        @include query(md) {
            padding-left: 50%;
        }

        @include query(lg) {
            padding-left: 50%;
        }

        tfoot {
            tr {
                th,
                td {
                    padding: 20px;
                }

                th {
                    text-align: left;
                    vertical-align: top;
                }
            }
        }
    }

    &__customer-details {
        margin-top: 30px;

        address {
            margin-top: 20px;
        }
    }
}
